## MMCellInfoLte

MMCellInfoLte — Helper object to report LTE cell info

## Functions

const gchar * | mm_cell_info_lte_get_operator_id ()
const gchar * | mm_cell_info_lte_get_tac ()
const gchar * | mm_cell_info_lte_get_ci ()
const gchar * | mm_cell_info_lte_get_physical_ci ()
guint | mm_cell_info_lte_get_earfcn ()
gdouble | mm_cell_info_lte_get_rsrp ()
gdouble | mm_cell_info_lte_get_rsrq ()
guint | mm_cell_info_lte_get_timing_advance ()
guint | mm_cell_info_lte_get_bandwidth ()
MMServingCellType | mm_cell_info_lte_get_serving_cell_type ()

## Types and Values

struct | MMCellInfoLte

## Object Hierarchy

        GObject
        ╰── MMCellInfo
            ╰── MMCellInfoLte

## Description

The MMCellInfoLte is an object used to report LTE cell information.

The object inherits from the generic MMCellInfo.

## Functions

### mm_cell_info_lte_get_operator_id ()

    const gchar *
    mm_cell_info_lte_get_operator_id (MMCellInfoLte *self);

Get the PLMN MCC/MNC.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_lte_get_tac ()

    const gchar *
    mm_cell_info_lte_get_tac (MMCellInfoLte *self);

Get the two- or three- byte Tracking Area Code of the base station.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the Tracking Area Code, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_lte_get_ci ()

    const gchar *
    mm_cell_info_lte_get_ci (MMCellInfoLte *self);

Get the two- or four-byte Cell Identifier.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the Cell Identifier, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_lte_get_physical_ci ()

    const gchar *
    mm_cell_info_lte_get_physical_ci (MMCellInfoLte *self);

Get the physical cell identifier.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the physical cell identifier, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_lte_get_earfcn ()

    guint
    mm_cell_info_lte_get_earfcn (MMCellInfoLte *self);

Get the E-UTRA absolute RF channel number.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the EARFCN, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_lte_get_rsrp ()

    gdouble
    mm_cell_info_lte_get_rsrp (MMCellInfoLte *self);

Get the average reference signal received power in dBm.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the RSRP, or -`G_MAXDOUBLE` if not available.

Since: 1.20

### mm_cell_info_lte_get_rsrq ()

    gdouble
    mm_cell_info_lte_get_rsrq (MMCellInfoLte *self);

Get the average reference signal received quality in dB.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the RSRQ, or -`G_MAXDOUBLE` if not available.

Since: 1.20

### mm_cell_info_lte_get_timing_advance ()

    guint
    mm_cell_info_lte_get_timing_advance (MMCellInfoLte *self);

Get the timing advance.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the timing advance, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_lte_get_bandwidth ()

    guint
    mm_cell_info_lte_get_bandwidth (MMCellInfoLte *self);

Get the bandwidth of the particular carrier in downlink.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the bandwidth, or `G_MAXUINT` if not available.

Since: 1.22

### mm_cell_info_lte_get_serving_cell_type ()

    MMServingCellType
    mm_cell_info_lte_get_serving_cell_type
                                   (MMCellInfoLte *self);

Get the serving cell type.

#### Parameters

self | a MMCellInfoLte. |

#### Returns

the serving cell type, or `MM_SERVING_CELL_TYPE_INVALID` if not available.

Since: 1.22

## Types and Values

### struct MMCellInfoLte

    struct MMCellInfoLte;

The MMCellInfoLte structure contains private data and should only be accessed using the provided API.